<div class="box-body">

<div class="padd-lr10">
<div class="box boxStyle2 infoBox margin-b15">
<div class="padd10t">

<table id="tableN" class="col-md-12">
<tr class='tabTop'>
<td colspan="2">

<?PHP 
define("DATA_FILE", $targetedX);
extract($_POST);
$catP0=($_POST['catP0']);
$catP1=($_POST['catP1']);
$catP2=($_POST['catP2']);
$catP3=($_POST['catP3']);
$catP4=($_POST['catP4']);
$catP5=($_POST['catP5']);
$catP6=($_POST['catP6']);

if (isset($_POST['save'])) {
if (strlen(@$_POST[catP0])<=0){@$_POST[catP0]="";}
if (strlen(@$_POST[catP1])<=0){@$_POST[catP1]="";}
if (strlen(@$_POST[catP2])<=0){@$_POST[catP2]="";}
if (strlen(@$_POST[catP3])<=0){@$_POST[catP3]="";}
if (strlen(@$_POST[catP4])<=0){@$_POST[catP4]="";}
if (strlen(@$_POST[catP5])<=0){@$_POST[catP5]="";}
if (strlen(@$_POST[catP6])<=0){@$_POST[catP6]="";}
$Message=SaveData();}
else{
@die ("
<span class='resF'>".$resultFalse."</span>
<br>
<br>
<a href='$elink'>
<div class='vlinkS'>
<i class='hvL fa fa-arrow-circle-right padd-right5'></i>
<span class='hvS'>".$back1."</span>
</div>
</a>
");
return ($tag);
}

function SaveData(){
$tag='';
$patterns=array();
$replacements=array();
$content=file(DATA_FILE);
$t=chr(34);

$patterns[0]='/catP0=(.+?);/';
$patterns[1]='/catP1=(.+?);/';
$patterns[2]='/catP2=(.+?);/';
$patterns[3]='/catP3=(.+?);/';
$patterns[4]='/catP4=(.+?);/';
$patterns[5]='/catP5=(.+?);/';
$patterns[6]='/catP6=(.+?);/';

@$replacements[0]=sprintf("catP0=%s%s%s;",$t,$_POST[catP0],$t);
@$replacements[1]=sprintf("catP1=%s%s%s;",$t,$_POST[catP1],$t);
@$replacements[2]=sprintf("catP2=%s%s%s;",$t,$_POST[catP2],$t);
@$replacements[3]=sprintf("catP3=%s%s%s;",$t,$_POST[catP3],$t);
@$replacements[4]=sprintf("catP4=%s%s%s;",$t,$_POST[catP4],$t);
@$replacements[5]=sprintf("catP5=%s%s%s;",$t,$_POST[catP5],$t);
@$replacements[6]=sprintf("catP6=%s%s%s;",$t,$_POST[catP6],$t);

if ($fp=fopen(DATA_FILE,"w")){
$tag="<?PHP \n";
include("./../languages/$_COOKIE[xlanguage]/general.inc.php");
@print_r("<span class='resT'>".$resultTrue."</span>");
fputs($fp,$tag,strlen($tag));
for ($i=1;$i < count($content);$i++){
$check=$content[$i];
$check=(preg_replace($patterns,$replacements,$check));
$check=preg_replace("/\r|\r/s", "\r", $check);
include("./../function/savecheck.inc.php");
if (strlen($check)> 0) $content[$i]=$check;
$line=sprintf('%s',$content[$i]);
fputs($fp,$line,strlen($line));
}
fclose($fp);
}
}

include("./../function/forward-s-e.inc.php");
include("./../function/autoX.inc.php");
echo "
<br>
<br>
<a href='$elink'>
<div class='vlinkS'>
<i class='hvL fa fa-arrow-circle-right padd-right5'></i>
<span class='hvS'>".$back1."</span>
</div>
</a>
";
?>
</td>
</tr>

</table>
<div class="clearX box-footer"></div>
</div>
</div>
</div>
</div>
